AnsweredAssumed Answered

Bitbake command fails with distro fsl-imx-xwayland

Question asked by David Fourdrigniez on May 11, 2020
Latest reply on May 11, 2020 by David Fourdrigniez

I am trying to build a yocto toolchain with Qt5 for NXP Freescale i.MX6 board. But I keep getting an error with any bitbake command line. I also tried checking to HEAD branch for every layer, I get the same below error:

 

david@david-ubuntu:~/yocto/fsl-release-bsp/build$ bitbake meta-toolchain-qt5
NOTE: Your conf/bblayers.conf has been automatically updated.
NOTE: Your conf/bblayers.conf has been automatically updated.
WARNING: Host distribution "Ubuntu-18.04" has not been validated with this version of the build system; you may possibly experience unexpected failures. It is recommended that you use a tested distribution.
Parsing recipes: 100% |#############################################################################################################################################################################| Time: 0:01:01
Parsing of 2321 .bb files complete (0 cached, 2321 parsed). 3049 targets, 267 skipped, 2 masked, 0 errors.
NOTE: Resolving any missing task queue dependencies

Build Configuration:
BB_VERSION = "1.32.0"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "Ubuntu-18.04"
TARGET_SYS = "arm-poky-linux-gnueabi"
MACHINE = "imx6qsabresd"
DISTRO = "fsl-imx-xwayland"
DISTRO_VERSION = "4.9.11-1.0.0"
TUNE_FEATURES = "arm armv7a vfp neon callconvention-hard cortexa9"
TARGET_FPU = "hard"
meta
meta-poky = "morty:78890ea22750804e3e9113e76f7ca3d7234c8342"
meta-oe
meta-multimedia = "morty:fe5c83312de11e80b85680ef237f8acb04b4b26e"
meta-freescale = "morty:a398b50b7fc084a9e68cc3000c218d5028522a25"
meta-freescale-3rdparty = "morty:68314612e236cab1da82d72a0da62635a3523f84"
meta-freescale-distro = "morty:cd5c7a2539f40004f74126e9fdf08254fd9a6390"
meta-bsp
meta-sdk = "morty:daba3340ecd8b358e0c6c415baeee0fcae95c525"
meta-browser = "morty:10f6e3778d823ee1be106c126216c6f941088fbf"
meta-gnome
meta-networking
meta-python
meta-filesystems = "morty:fe5c83312de11e80b85680ef237f8acb04b4b26e"
meta-qt5 = "morty:ff073f04109900fc07bf81e2f1df63c626caf342"

Initialising tasks: 100% |##########################################################################################################################################################################| Time: 0:00:12
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
ERROR: gnu-config-native-20150728+gitAUTOINC+b576fa87c1-r0 do_unpack: Fetcher failure: Fetch command export DBUS_SESSION_BUS_ADDRESS="unix:path=/run/user/1000/bus"; export SSH_AGENT_PID="2272"; export SSH_AUTH_SOCK="/run/user/1000/keyring/ssh"; export PATH="/home/david/yocto/fsl-release-bsp/sources/poky/scripts/native-intercept:/home/david/yocto/fsl-release-bsp/sources/poky/scripts:/home/david/yocto/fsl-release-bsp/build/tmp/sysroots/x86_64-linux/usr/bin/x86_64-linux:/home/david/yocto/fsl-release-bsp/build/tmp/sysroots/x86_64-linux/usr/bin:/home/david/yocto/fsl-release-bsp/build/tmp/sysroots/x86_64-linux/usr/sbin:/home/david/yocto/fsl-release-bsp/build/tmp/sysroots/x86_64-linux/usr/bin:/home/david/yocto/fsl-release-bsp/build/tmp/sysroots/x86_64-linux/sbin:/home/david/yocto/fsl-release-bsp/build/tmp/sysroots/x86_64-linux/bin:/home/david/yocto/fsl-release-bsp/sources/poky/scripts:/home/david/yocto/fsl-release-bsp/sources/poky/bitbake/bin:/home/david/bin:/home/david/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin"; export HOME="/home/david"; git -c core.fsyncobjectfiles=0 branch --set-upstream master origin/master failed with exit code 128, output:
fatal: the '--set-upstream' option is no longer supported. Please use '--track' or '--set-upstream-to' instead.

ERROR: gnu-config-native-20150728+gitAUTOINC+b576fa87c1-r0 do_unpack: Function failed: base_do_unpack
ERROR: Logfile of failure stored in: /home/david/yocto/fsl-release-bsp/build/tmp/work/x86_64-linux/gnu-config-native/20150728+gitAUTOINC+b576fa87c1-r0/temp/log.do_unpack.3872
ERROR: Task (virtual:native:/home/david/yocto/fsl-release-bsp/sources/poky/meta/recipes-devtools/gnu-config/gnu-config_git.bb:do_unpack) failed with exit code '1'
NOTE: Tasks Summary: Attempted 31 tasks of which 0 didn't need to be rerun and 1 failed.

Summary: 1 task failed:
virtual:native:/home/david/yocto/fsl-release-bsp/sources/poky/meta/recipes-devtools/gnu-config/gnu-config_git.bb:do_unpack
Summary: There was 1 WARNING message shown.
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.


I found on another forum that something might be using obsolete arguments to git, but I am not able to downgrade git package and I also want to avoid reinstalling a previous version of Ubuntu.

 

Here is my poky config (local.conf)

 

MACHINE ??= 'imx6qsabresd'
DISTRO ?= 'fsl-imx-wayland'
PACKAGE_CLASSES ?= "package_rpm"
EXTRA_IMAGE_FEATURES ?= "debug-tweaks"
USER_CLASSES ?= "buildstats image-mklibs image-prelink"
PATCHRESOLVE = "noop"
BB_DISKMON_DIRS = "\
STOPTASKS,${TMPDIR},1G,100K \
STOPTASKS,${DL_DIR},1G,100K \
STOPTASKS,${SSTATE_DIR},1G,100K \
STOPTASKS,/tmp,100M,100K \
ABORT,${TMPDIR},100M,1K \
ABORT,${DL_DIR},100M,1K \
ABORT,${SSTATE_DIR},100M,1K \
ABORT,/tmp,10M,1K"
PACKAGECONFIG_append_pn-qemu-native = " sdl"
PACKAGECONFIG_append_pn-nativesdk-qemu = " sdl"
CONF_VERSION = "1"

DL_DIR ?= "${BSPDIR}/downloads/"
ACCEPT_FSL_EULA = "1"

 

Is there a way to fix this ?

Outcomes